[pcre-dev] Git 2.14.0 released with PCRE 2 support

Top Page

Reply to this message
Author: Ævar Arnfjörð Bjarmason
Date:  
To: pcre-dev
Subject: [pcre-dev] Git 2.14.0 released with PCRE 2 support
Git 2.14.0 got released last week with release notes that recommend
using pcre2 instead of pcre1:
https://github.com/git/git/blob/master/Documentation/RelNotes/2.14.0.txt#L25

I've already seen e.g. Debian, Arch and Fedora change their dependency
from pcre1 to pcre2 for Git.

Since a lot of systems use git as one or their core packages I expect
this'll lead to a lot more installation & use of the library. The
things that used pcre2 on a typical Linux system[1] were pretty
obscure.

1. https://www.archlinux.org/packages/extra/i686/pcre2/